Year Make Model
Look up vehicle data by year, make and model (and optionally trim) without a VIN.
Look up vehicle data by year, make and model (and optionally trim) without a VIN.
Your CarsXE API key, passed as the key query parameter.
In: query
Query Parameters
The manufacturing year of the vehicle (numeric, between 1900 and the current model year plus one).
The manufacturer of the vehicle (e.g., Toyota, Ford, BMW).
The specific model of the vehicle (e.g., Camry, F-150, X5).
The vehicle trim (e.g., XLE, XSE).
Return all trim options available for the year, make and model. Set to 1 to use.
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -G https://api.carsxe.com/v1/ymm \ -d key=CARSXE_API_KEY \ -d year=string \ -d make=string \ -d model=string{
"bestMatch": {
"make": "Toyota",
"model": "Camry",
"year": "2023",
"name": "XLE 4dr Sedan (3.5L 6cyl 8A)"
},
"trimOptions": [],
"success": true,
"input": {
"year": "2023",
"make": "Toyota",
"model": "Camry",
"trim": "XLE"
},
"timestamp": "2024-03-19T12:00:00.000Z"
}{
"success": false,
"message": "Missing year, make, or model"
}{
"success": false,
"message": "Missing API key"
}{
"success": false,
"message": "No vehicle found matching the specified year, make, and model. Try case-sensitive search such as \"2023 Toyota Camry\""
}{
"success": false,
"message": "API usage limit exceeded",
"usage": {
"current": 1000,
"limit": 1000,
"remaining": 0
}
}{
"success": false,
"message": "Could not fetch data"
}